libnvme(2)

NAME
struct nvme_virtual_mgmt_args - Arguments for the NVMe Virtualization resource management command

SYNOPSIS
struct nvme_virtual_mgmt_args {
__u32 *result;
int args_size;
int fd;
__u32 timeout;
enum nvme_virt_mgmt_act act;
enum nvme_virt_mgmt_rt rt;
__u16 cntlid;
__u16 nr;
};

Members

result
    If successful, the CQE dword0

args_size
    Size of struct nvme_virtual_mgmt_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

act Virtual resource action, see enum nvme_virt_mgmt_act

rt  Resource type to modify, see enum nvme_virt_mgmt_rt

cntlid
    Controller id for which resources are bing modified

nr  Number of resources being allocated or assigned